# Retrieve a company

## Single Company

<mark style="color:blue;">`GET`</mark> `https://{{account_id}}.acquire.io/api/v1/crm/objects/company/{{companyId}}`

This endpoint is used to obtain specific company details.

#### Path Parameters

| Name      | Type    | Description        |
| --------- | ------- | ------------------ |
| companyId | integer | ID of the company. |

#### Query Parameters

| Name      | Type  | Description                                   |
| --------- | ----- | --------------------------------------------- |
| select    | array | Can be one of  id\|dateCreated\|dateUpdated   |
| relations | array | Can be one of fields \| contacts \| companies |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer {{API\_KEY}} |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": {
        "dateCreated": "2020-09-10T11:44:05.000Z",
        "dateUpdated": "2020-09-10T11:44:05.000Z",
        "id": 7,
        "fields": {
            "name": "Zery12",
            "website": "zery12.com",
            "logo": "IT",
            "industry": "IT",
            "description": "No description ",
            "source": "No source added",
            "revenue": "1050000",
            "city": "SF1",
            "state": "california"
        },
        "contacts": []
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.acquire.io/rest-apis/company/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
